# ezQuake Manual: Skin Settings Variables

## baseskin

### Description

Defines what skin u see other people using if you don't have their skin and don't have skin forcing on.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: base

Variable is float.

## cl_name_as_skin

### Description

Allows you to override user skin settings and use player's name or ID as a his (her) skin

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
0 | Use player's skin setting
1 | Use player's name as his skin
2 | Use player's ID as his skin

There are many other skin settings that can override, e.g. all enemy*skin, team*skin settings override this setting.

## enemybothskin

### Description

Overrides the enemy quad pent skin so you can define the skin which applies to enemy quads pents.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

## enemybottomcolor

### Description

Determines the color of the pants of the enemies you see. Overrides player's skin settings.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: -1

Variable is integer.
-1 to turn this off, values from 0 to 13 for standard Quake colors

To be able to use RGB 24bit colors, look for r_enemyskincolor variable.

## enemyforceskins

### Description

Allows you to set different skin for every enemy player even if they all have same skin names set or use names of skins that you do not have in your Quake dir

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
0 | Disabled
1 | Use player's name as the name of the skin to be used
2 | Use player's userid number (only useful for video capturing)
3 | Assign skins "e1", "e2", "e3", etc. to the enemies.

Read "Player skins" manual page for more info on skin rules.

## enemypentskin

### Description

Overrides the enemy pent skin so you can define the skin which applies to enemy pents.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

## enemyquadskin

### Description

Overrides the enemy quad skin so you can define the skin which applies to enemy quads.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

## enemyskin

### Description

Overrides the enemies skin so you can define the skin which applies to enemies.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

## enemytopcolor

### Description

Determines the color of the shirt of the enemies you see. Overrides player's skin settings.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: -1

Variable is integer.
-1 to turn this off, values from 0 to 13 for standard Quake colors

To be able to use RGB 24bit colors, look for r_enemyskincolor variable.

## noskins

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
0 | Enable skins.
1 | Disable skins.
2 | Enable skins but do not download new skins.

## r_enemyskincolor

### Description

Allows you to set color for enemies you see in RGB format

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is string.

See r_skincolormode for more info

## r_fullbrightSkins

### Description

Determines the fullbright percentage of skins. Fullbright skins can always be used during demo playback. The f_skins response will indicate the brightness level being used as a percentage.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
0 | Being 0% fullbright.
0.5 | Being 50% fullbright.
1 | Being 100% fullbright.

## r_skincolormode

### Description

Toggles different modes of how colors from r_enemyskincolor and r_teamskincolor are applied to players.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
0 | Makes skin solid.
1 | ?
2 | Makes skin sort of topographic with r_enemy/team skincolor color.
3 | ?
4 | Same as 5 but fullbright.
5 | Applies r_enemy/team skincolor hue to skin.

## r_teamskincolor

### Description

Allows you to set color for teammates you see in RGB format

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is string.

See r_skincolormode for more info

## teambothskin

### Description

Overrides the team quad pent skin so you can define the skin which applies to team quads pents.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

## teambottomcolor

### Description

Determines the color of the pants of the teammates you see. Overrides player's skin settings.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: -1

Variable is integer.
-1 to turn this off, values from 0 to 13 for standard Quake colors

To be able to use RGB 24bit colors, look for r_teamskincolor variable.

## teamforceskins

### Description

Allows you to set different skin for every team player even if they all have same skin names set or use names of skins that you do not have in your Quake dir

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
0 | Disabled
1 | Use player's name as the name of the skin to be used
2 | Use player's userid number (only useful for video capturing)
3 | Assign skins "t1", "t2", "t3", etc. to your teammates.

Read "Player skins" manual page for more info on skin rules.

## teampentskin

### Description

Overrides the team pent skin so you can define the skin which applies to team pents.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

## teamquadskin

### Description

Overrides the team quad skin so you can define the skin which applies to team quads.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

## teamskin

### Description

Overrides the team skin so you can define the skin which applies to team mates.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

## teamtopcolor

### Description

Determines the color of the shirt of the teammates you see. Overrides player's skin settings.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: -1

Variable is integer.
-1 to turn this off, values from 0 to 13 for standard Quake colors

To be able to use RGB 24bit colors, look for r_teamskincolor variable.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz | ezQDocs